/*
 * Copyright (c) 2002-2008 TeamDev Ltd. All rights reserved.
 *
 * Use is subject to license terms.
 *
 * The complete licence text can be found at
 * http://www.teamdev.com/winpack/license.jsf
 */
import teamdev.jxcapture.Capture;
import teamdev.jxcapture.events.CaptureAdapter;

import java.awt.image.BufferedImage;

/**
 * The example demonstrates how to capture the specified object.
 * <p>To complete the operation and retrieve the screen shot of selected object -
 * click the left mouse button or press the Enter key.
 * <p>To cancel the operation press the Esc key.
 *
 * @author Ikryanov Vladimir
 */
public class ScreenObjectCaptureSample extends JxCaptureSample {

    public static void main(String[] args) {
        new ScreenObjectCaptureSample().run();
    }

    protected void execute() {
        Capture.captureScreenObject(new CaptureAdapter() {
            public void complete(BufferedImage image) {
                saveImageToHomeDirectory(image);
            }
        });
    }

    protected String getFileName() {
        return "ScreenObject.png";
    }
}
